XnModuleImageGeneratorInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnModuleMapGeneratorInterface * | pMapInterface
XnUInt8 *(* | GetImageMap )(XnModuleNodeHandle hGenerator)
XnBool(* | IsPixelFormatSupported )(XnModuleNodeHandle hGenerator, XnPixelFormat Format)
XnStatus(* | SetPixelFormat )(XnModuleNodeHandle hGenerator, XnPixelFormat Format)
XnPixelFormat(* | GetPixelFormat )(XnModuleNodeHandle hGenerator)
XnStatus(* | RegisterToPixelFormatChange )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromPixelFormatChange )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## Detailed Description

Image generator Interface.

## Member Data Documentation

## GetImageMap

XnUInt8 *(* XnModuleImageGeneratorInterface::GetImageMap) (XnModuleNodeHandle hGenerator)

Gets the current image-map. This map is updated after a call to WaitAndUpdateData().

## GetPixelFormat

XnPixelFormat(* XnModuleImageGeneratorInterface::GetPixelFormat) (XnModuleNodeHandle hGenerator)

Gets current pixel format.

Parameters

  hGenerator | [in] A handle to the instance.

## IsPixelFormatSupported

XnBool(* XnModuleImageGeneratorInterface::IsPixelFormatSupported) (XnModuleNodeHandle hGenerator, XnPixelFormat Format)

Checks if a specific pixel format is supported.

Parameters

  hGenerator | [in] A handle to the instance.
  Format | [in] The format to check for.

## pMapInterface

XnModuleMapGeneratorInterface* XnModuleImageGeneratorInterface::pMapInterface

Contains map generator interface.

## RegisterToPixelFormatChange

XnStatus(* XnModuleImageGeneratorInterface::RegisterToPixelFormatChange) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to pixel format changes.

Parameters

  hGenerator | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when pixel format changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to xnUnregisterFromPixelFormatChange.

## SetPixelFormat

XnStatus(* XnModuleImageGeneratorInterface::SetPixelFormat) (XnModuleNodeHandle hGenerator, XnPixelFormat Format)

Sets the pixel format of the image map.

Parameters

  hGenerator | [in] A handle to the instance.
  Format | [in] The format to set.

## UnregisterFromPixelFormatChange

void(* XnModuleImageGeneratorInterface::UnregisterFromPixelFormatChange) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using xnRegisterToPixelFormatChange.

Parameters

  hGenerator | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from xnRegisterToPixelFormatChange.

The documentation for this struct was generated from the following file:

- XnModuleInterface.h